import request from '@/utils/request'

// 查询学校办学层次列表
export function listMallSchoolLevel(query) {
  return request({
    url: '/mall/mallSchoolLevel/list',
    method: 'get',
    params: query
  })
}

// 查询学校办学层次详细
export function getMallSchoolLevel(schoolLevelId) {
  return request({
    url: '/mall/mallSchoolLevel/' + schoolLevelId,
    method: 'get'
  })
}

// 新增学校办学层次
export function addMallSchoolLevel(data) {
  return request({
    url: '/mall/mallSchoolLevel',
    method: 'post',
    data: data
  })
}

// 修改学校办学层次
export function updateMallSchoolLevel(data) {
  return request({
    url: '/mall/mallSchoolLevel',
    method: 'put',
    data: data
  })
}

// 删除学校办学层次
export function delMallSchoolLevel(schoolLevelId) {
  return request({
    url: '/mall/mallSchoolLevel/' + schoolLevelId,
    method: 'delete'
  })
}
